Bug 213488 - Little permission checking on global deploy page (file pages)
Summary: Little permission checking on global deploy page (file pages)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site   
(Show other bugs)
Version: rhn500
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhn500h-config-mgmt
TreeView+ depends on / blocked
 
Reported: 2006-11-01 17:29 UTC by Ken Ganong
Modified: 2007-04-18 17:52 UTC (History)
1 user (show)

Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 03:16:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Ganong 2006-11-01 17:29:32 UTC
The global file deploy page shows a list of systems.
This list is not trimmed based on a users permissions to the systems.
There are also links in the tip messages that should only be shown to users with
specific roles.

Comment 1 Grant Gainey 2006-11-09 17:47:16 UTC
Mark as assigned

Comment 2 Grant Gainey 2006-11-14 20:41:52 UTC
Need more info.  I think the security updates have solved the "trim the system
list" problem.  And the tips I can see at
/rhn/configuration/file/GlobalRevisionDeploy.do look appropriate to me.

ken, can you give me a specific path you took, so I can make sure I'm looking at
the same page?  And which specific tips need to change?

Comment 3 Ken Ganong 2006-11-14 20:51:26 UTC
This is probably already done. You were at the correct page. I fixed the tips
already, and the sql permission checking probably fixed the list.

Comment 4 Grant Gainey 2006-11-14 21:15:06 UTC
Woot!  Moving to modified - will be ON_DEV soon as I'm sure we've built it

Comment 5 Grant Gainey 2006-11-15 15:43:14 UTC
Now with whiteners, brighteners, *and* more ON_DEV-ness!

Comment 6 Grant Gainey 2006-12-04 22:03:05 UTC
ON_QA, here we come!

Comment 7 wes hayutin 2007-01-17 16:09:14 UTC
looks good

Comment 8 wes hayutin 2007-03-09 21:01:58 UTC
awsome..

Comment 9 Brandon Perkins 2007-03-13 03:16:24 UTC
Closed in the rhn500h Release.


Note You need to log in before you can comment on or make changes to this bug.